//
//  NSKeyValueCodingAdditions.java
//  WOGroovy
//

package wogroovy.additions;

import com.webobjects.foundation.*;
import com.webobjects.eocontrol.*;

public class NSKeyValueCodingAdditions {

    //
    // accessing
    //
    
    public static Object get(NSKeyValueCoding self, String property) {
        return self.valueForKey(property);
    };
    
    public static void set(NSKeyValueCoding self, String property, Object newValue) {
        self.takeValueForKey(newValue, property);
    }
    
}
